org.richfaces.taglib

## Class DatascrollerTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.DatascrollerTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class DatascrollerTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatascrollerTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
    `void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` Boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only.
    `void` | `setAlign(javax.el.ValueExpression __align)` This attribute specifies the position of the table with relatively to the document.
    `void` | `setBoundaryControls(javax.el.ValueExpression __boundaryControls)` The attribute specifies the visibility of boundaryControls.
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFastControls(javax.el.ValueExpression __fastControls)` The attribute specifies the visibility of fastControls.
    `void` | `setFastStep(javax.el.ValueExpression __fastStep)` The attribute indicates pages quantity to switch onto when fast scrolling is used.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setFor(javax.el.ValueExpression __for)` ID of the table component whose data is scrollled Setter for for
    `void` | `setHandleValue(javax.el.ValueExpression __handleValue)` Current handle value Setter for handleValue
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now.
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
    `void` | `setInactiveStyle(javax.el.ValueExpression __inactiveStyle)` Corresponds to the HTML style attribute for the inactive cell on scroller Setter for inactiveStyle
    `void` | `setInactiveStyleClass(javax.el.ValueExpression __inactiveStyleClass)` Corresponds to the HTML class attribute for the inactive cell on scroller Setter for inactiveStyleClass
    `void` | `setLastPageMode(javax.el.ValueExpression __lastPageMode)` The attribute to control whether last page of datascroller shows "rows" number of items or just the rest.
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setMaxPages(javax.el.ValueExpression __maxPages)` Maximum quantity of pages.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnpagechange(javax.el.ValueExpression __onpagechange)` HTML: script expression; a page is changed Setter for onpagechange
    `void` | `setPage(javax.el.ValueExpression __page)` If page &gt;= 1 then it's a page number to show Setter for page
    `void` | `setPageIndexVar(javax.el.ValueExpression __pageIndexVar)` Name of variable in request scope containing index of active page Setter for pageIndexVar
    `void` | `setPagesVar(javax.el.ValueExpression __pagesVar)` Name of variable in request scope containing number of pages Setter for pagesVar
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRenderIfSinglePage(javax.el.ValueExpression __renderIfSinglePage)` If renderIfSinglePage is "true" then datascroller is displayed on condition that the data hold on one page.
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setScrollerListener(javax.el.MethodExpression __scrollerListener)` MethodBinding representing an action listener method that will be notified after scrolling Setter for scrollerListener
    `void` | `setSelectedStyle(javax.el.ValueExpression __selectedStyle)` Corresponds to the HTML style attribute for the selected cell on scroller Setter for selectedStyle
    `void` | `setSelectedStyleClass(javax.el.ValueExpression __selectedStyleClass)` Corresponds to the HTML class attribute for the selected cell on scroller Setter for selectedStyleClass
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setStepControls(javax.el.ValueExpression __stepControls)` The attribute specifies the visibility of stepControls.
    `void` | `setTableStyle(javax.el.ValueExpression __tableStyle)` CSS style(s) is/are to be applied to outside table when this component is rendered Setter for tableStyle
    `void` | `setTableStyleClass(javax.el.ValueExpression __tableStyleClass)` Space-separated list of CSS style class(es) that are be applied to outside table of this component Setter for tableStyleClass
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### DatascrollerTag

          public DatascrollerTag()

  - ### Method Detail

    - #### setAction

          public void setAction(javax.el.MethodExpression __action)

      MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
      Parameters:
        `action` - - new value

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression __actionListener)

      MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
      Parameters:
        `actionListener` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      Boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only. Default value is "true" Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setAlign

          public void setAlign(javax.el.ValueExpression __align)

      This attribute specifies the position of the table with relatively to the document. Possible values are "left","center","right ". Default value is "center". Setter for align
      Parameters:
        `align` - - new value

    - #### setBoundaryControls

          public void setBoundaryControls(javax.el.ValueExpression __boundaryControls)

      The attribute specifies the visibility of boundaryControls. Possible values are: "show" (controls are always visible ). "hide" (controls are hidden. "auto" (unnecessary controls are hidden). Default value is "show". Setter for boundaryControls
      Parameters:
        `boundaryControls` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFastControls

          public void setFastControls(javax.el.ValueExpression __fastControls)

      The attribute specifies the visibility of fastControls. Possible values are: "show" (controls are always visible ). "hide" (controls are hidden. "auto" (unnecessary controls are hidden). Default value is "show". Setter for fastControls
      Parameters:
        `fastControls` - - new value

    - #### setFastStep

          public void setFastStep(javax.el.ValueExpression __fastStep)

      The attribute indicates pages quantity to switch onto when fast scrolling is used. Default value is "0". Setter for fastStep
      Parameters:
        `fastStep` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setFor

          public void setFor(javax.el.ValueExpression __for)

      ID of the table component whose data is scrollled Setter for for
      Parameters:
        `for` - - new value

    - #### setHandleValue

          public void setHandleValue(javax.el.ValueExpression __handleValue)

      Current handle value Setter for handleValue
      Parameters:
        `handleValue` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now. Default value is "true". Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setInactiveStyle

          public void setInactiveStyle(javax.el.ValueExpression __inactiveStyle)

      Corresponds to the HTML style attribute for the inactive cell on scroller Setter for inactiveStyle
      Parameters:
        `inactiveStyle` - - new value

    - #### setInactiveStyleClass

          public void setInactiveStyleClass(javax.el.ValueExpression __inactiveStyleClass)

      Corresponds to the HTML class attribute for the inactive cell on scroller Setter for inactiveStyleClass
      Parameters:
        `inactiveStyleClass` - - new value

    - #### setLastPageMode

          public void setLastPageMode(javax.el.ValueExpression __lastPageMode)

      The attribute to control whether last page of datascroller shows "rows" number of items or just the rest. Possible values are "full" and "short". Default value is "short". Setter for lastPageMode
      Parameters:
        `lastPageMode` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setMaxPages

          public void setMaxPages(javax.el.ValueExpression __maxPages)

      Maximum quantity of pages. Default value is "10". Setter for maxPages
      Parameters:
        `maxPages` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnpagechange

          public void setOnpagechange(javax.el.ValueExpression __onpagechange)

      HTML: script expression; a page is changed Setter for onpagechange
      Parameters:
        `onpagechange` - - new value

    - #### setPage

          public void setPage(javax.el.ValueExpression __page)

      If page &gt;= 1 then it's a page number to show Setter for page
      Parameters:
        `page` - - new value

    - #### setPageIndexVar

          public void setPageIndexVar(javax.el.ValueExpression __pageIndexVar)

      Name of variable in request scope containing index of active page Setter for pageIndexVar
      Parameters:
        `pageIndexVar` - - new value

    - #### setPagesVar

          public void setPagesVar(javax.el.ValueExpression __pagesVar)

      Name of variable in request scope containing number of pages Setter for pagesVar
      Parameters:
        `pagesVar` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRenderIfSinglePage

          public void setRenderIfSinglePage(javax.el.ValueExpression __renderIfSinglePage)

      If renderIfSinglePage is "true" then datascroller is displayed on condition that the data hold on one page. Default value is "true". Setter for renderIfSinglePage
      Parameters:
        `renderIfSinglePage` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setScrollerListener

          public void setScrollerListener(javax.el.MethodExpression __scrollerListener)

      MethodBinding representing an action listener method that will be notified after scrolling Setter for scrollerListener
      Parameters:
        `scrollerListener` - - new value

    - #### setSelectedStyle

          public void setSelectedStyle(javax.el.ValueExpression __selectedStyle)

      Corresponds to the HTML style attribute for the selected cell on scroller Setter for selectedStyle
      Parameters:
        `selectedStyle` - - new value

    - #### setSelectedStyleClass

          public void setSelectedStyleClass(javax.el.ValueExpression __selectedStyleClass)

      Corresponds to the HTML class attribute for the selected cell on scroller Setter for selectedStyleClass
      Parameters:
        `selectedStyleClass` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setStepControls

          public void setStepControls(javax.el.ValueExpression __stepControls)

      The attribute specifies the visibility of stepControls. Possible values are: "show" (controls are always visible ). "hide" (controls are hidden. "auto" (unnecessary controls are hidden). Default value is "show". Setter for stepControls
      Parameters:
        `stepControls` - - new value

    - #### setTableStyle

          public void setTableStyle(javax.el.ValueExpression __tableStyle)

      CSS style(s) is/are to be applied to outside table when this component is rendered Setter for tableStyle
      Parameters:
        `tableStyle` - - new value

    - #### setTableStyleClass

          public void setTableStyleClass(javax.el.ValueExpression __tableStyleClass)

      Space-separated list of CSS style class(es) that are be applied to outside table of this component Setter for tableStyleClass
      Parameters:
        `tableStyleClass` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.